function Mcr = MachCr(tBar,AR,taper,sweepLE)
%--------------------------------------------------------------------------
% MachCr(tBar,AR,taper,sweepLE)
% CRITICAL MACH NUMBER CALCULATOR
% Calculates the wing critical Mach number through interpolation of
% experimental data.
%--------------------------------------------------------------------------
    sweep50 = atan(tan(sweepLE)-(4/AR)*((50-0)/100)*((1-taper)/(1+taper))); %angle of quarter chord line

    Mcr0Data = [1.00,1.00,1.00,1.00,1.00;
    0.96,0.95,0.93,0.89,0.91;
    0.93,0.89,0.87,0.83,0.83;
    0.89,0.86,0.82,0.80,0.80;
    0.87,0.85,0.81,0.79,0.79;
    0.85,0.85,3.81,0.79,0.79;
    0.85,0.85,0.81,0.79,0.79];
    tBarData = [0.10,0.06,0.03,0.00,0.00;
    0.105,0.08,0.05,0.05,0.04;
    0.11,0.10,0.08,0.09,0.09;
    0.12,0.12,0.12,0.12,0.12;
    0.14,0.14,0.14,0.14,0.14;
    0.16,0.15,0.15,0.15,0.15;
    0.40,0.40,0.40,0.40,0.40];
    ARdata = [2,3,4,6,20];
    for index = 1:1:5
        F = griddedInterpolant(tBarData(:,index),Mcr0Data(:,index));
        Mcr0(index) = F(tBar);
    end

    F = griddedInterpolant(ARdata,Mcr0);
    Mcr0 = F(AR);

    if Mcr0 > 0.95
        Mcr0 = 0.95;
    end

    sweepData = [0.00,-0.10,0.34,0.04,0.00;
    19.93,20.12,20.57,21.50,20.24;
    40.37,40.09,39.82,49.78,40.24;
    60.32,59.57,59.79,68.79,60.24;
    79.54,79.78,79.52,80.00,80.24];

    McrData = [0.80,0.85,0.90,0.95,1.00;
    0.82,0.87,0.91,0.96,1.00;
    0.87,0.90,0.93,0.97,1.00;
    0.92,0.94,0.96,0.99,1.00;
    0.97,0.98,0.99,0.99,1.00];

    for index = 1:1:5
        F = griddedInterpolant(sweepData(:,index),McrData(:,index));
        Mcr(index) = F(sweep50*180/pi);
    end

    F = griddedInterpolant([0.8,0.85,0.9,0.95,1],Mcr);
    Mcr = F(Mcr0);

    if Mcr > 0.95
        Mcr = 0.95;
    end