function CdwB = FunCdwB(M,ln,db,sigma,noseType)
%--------------------------------------------------------------------------
% FunCdwB(M,ln,db,sigma,noseType)
% TRANSONIC/SUPERSONIC BODY WAVE DRAG COEFFICIENT
% Calculates the transonic/supersonic low angle of attack wave drag 
% coeffient for the vehicle body.
%--------------------------------------------------------------------------
if noseType == "cone"  
CdwB = (0.083+(0.096/M^2))*(sigma/10)^1.69;
elseif noseType == "ogive" 
    fN = ln/db;
CdwB = ((0.083+(0.096/M^2))*(sigma/10)^1.69)*(1-(2*(196*fN^2-16)/(28*(M+18)*fN^2)));
elseif noseType == "blunt"
    fN = ln/db;
CdwB = ((0.083+(0.096/M^2))*(sigma/10)^1.69)*(1-(2*(196*fN^2-16)/(28*(M+18)*fN^2)));
end
