function CdbB = SprCdbB(M)
%--------------------------------------------------------------------------
% SprCdbB(M)
% SUPERSONIC BODY BASE DRAG COEFFICIENT
% Calculates the supersonic low angle of attack base drag coeffient for the
% vehicle body.
%--------------------------------------------------------------------------
    CdbBData = [1.17,0.21;
    1.5,0.18;
    2,0.14;
    3,0.1;
    4,0.07;
    5,0.05;
    6,0.04;
    10,0.02;
    20,0.01;
    40, 0.005;
    100,0];
    
    %Coefficient found by interpolating experimental data.
    F = griddedInterpolant(CdbBData(:,1),CdbBData(:,2));
    CdbB = F(M);    
end
