function ClB = SprClB(M,alpha,lb,db,Sb)
%--------------------------------------------------------------------------
% SprClB(M,alpha,lb,db,Sb)
% SUPERSONIC BODY LIFT COEFFICIENT
% Calculates the supersonic low angle of attack lift coeffient for the
% vehicle body.
%--------------------------------------------------------------------------
    CdcData = [0.00, 1.20
    0.20, 1.20
    0.40, 1.26
    0.60, 1.49
    0.80, -1.23
    1.00, 1.79
    1.43, 1.56
    2, 1.41
    2.85, 1.33
    4, 1.30
    5, 1.28
    6.67, 1.27
    8.33, 1.26
    10, 1.26
    20, 1.26];
    
    %Interpolating for cross flow drag coefficent based on cross flow Mach
    %number.
    F = griddedInterpolant(CdcData(:,1),CdcData(:,2));
    Cdc = F(M*sin(abs(alpha)));
    
    %Calculating coefficient and correcting for sign of viscous lift component.
    if alpha > 0
    ClB = 2*alpha+Cdc*(lb*db/Sb)*alpha^2;
    else
    ClB = 2*alpha-Cdc*(lb*db/Sb)*alpha^2;
    end