function CdbB = TranCdbB(CdbBSub,M)
%--------------------------------------------------------------------------
% TranCdbB(CdbBSub,M)
% TRANSONIC BODY BASE DRAG COEFFICIENT
% Calculates the transonic low angle of attack base drag coeffient for the
% vehicle body.
%--------------------------------------------------------------------------
    MachData = [0.75,0.75,0.75,0.75,0.75,0.75;
    0.85,0.90,0.85,0.90,0.90,0.90;
    0.90,0.98,0.90,0.95,0.95,0.95;
    1.00,1.03,0.95,1.00,1.01,1.03;
    1.05,1.05,1.00,1.03,1.05,1.08;
    1.10,1.10,1.05,1.08,1.10,1.11;
    1.20,1.20,1.10,1.17,1.15,1.15;
    1.30,1.30,1.30,1.30,1.30,1.30];

    CdbSubData = [-0.19,-0.12,-0.05,0.01,0.07,0.12];

    CdbData = [-0.19,-0.12,-0.05,0.01,0.07,0.12;
    -0.19,-0.12,-0.05,0.02,0.08,0.14;
    -0.19,-0.15,-0.05,0.03,0.09,0.16;
    -0.26,-0.20,-0.04,0.07,0.15,0.24;
    -0.27,-0.21,-0.01,0.02,0.08,0.15;
    -0.26,-0.21,-0.06,-0.01,0.06,0.12;
    -0.25,-0.20,-0.07,0.00,0.04,0.10;
    -0.24,-0.19,-0.05,0.00,0.05,0.10];
    
    %Double interpolating experimental data for coefficent
    for index = 1:1:6
        F = griddedInterpolant(MachData(:,index),CdbData(:,index));
        CdbB(index) = F(M);
    end
    F = griddedInterpolant(CdbSubData,CdbB);
    CdbB = F(CdbBSub);