function [ClF,ClDelta] = SubClF(ClAlpha,clAlpha,Re,AR,tBar,cMAC,cf,delta,bFlapI,bFlapO,phiTE)
%--------------------------------------------------------------------------
% SubClF(ClAlpha,clAlpha,Re,AR,tBar,cMAC,cf,delta,bFlapI,bFlapO,phiTE)
% SUBSONIC FLAP LIFT
% Calculates the subsonic low angle of attack flap lift contribution.
%--------------------------------------------------------------------------    
    %Calculate theoretical lift flap effectiveness
    clDelta0 = clDeltaTh(tBar,cMAC,cf); %/rad
    %Empirical correction factor        
    clAlphaFrac = clAlphaRe(phiTE,Re); 
    clDeltaFrac = clDeltaRe(cMAC,cf,clAlphaFrac);
    %Correction factor to account for high deflections        
    KclDelta = KclDeltaFactor(cMAC,cf,delta);
    
    %Total section lift per deflection angle
    clDelta = clDeltaFrac*clDelta0*KclDelta;
    
    %Correction factor to account for 3D span
    alphaDeltaFrac = alphaDeltaSpan(delta,AR,cMAC,cf);
    %Correction factor to account for flap location on wing
    KBClDelta = KBClDeltaFactor(bFlapI,bFlapO);

    %Total wing lift per deflection angle
    ClDelta = clDelta*(ClAlpha/clAlpha)*alphaDeltaFrac*KBClDelta;
    %Total flap lift
    ClF = delta*ClDelta;