function CmCGF = SubCmF(ClF,bw,AR,taper,sweep25,tBar,cMAC,cf,bFlapI,bFlapO)
%--------------------------------------------------------------------------
% SubCmF(ClF,bw,AR,taper,sweep25,tBar,cMAC,cf,bFlapI,bFlapO)
% SUBSONIC FLAP MOMENT COEFFICIENT
% Calculates the subsonic low angle of attack flap moment contribution.
%--------------------------------------------------------------------------
    %Correction factor for taper ratio and span location
    Kp = KpSubCmFactor(bFlapI,bFlapO,bw,taper);
    %Correction factor for wing sweep
    Ksweep = KsweepSubCmFactor(bw,bFlapI,bFlapO);
    %Ratio of moment increment to lift increment.
    CmClFrac = SubCmonCl(cf,cMAC,tBar);

    %Calculated moment coefficient.
    CmCGF = Kp*CmClFrac*ClF+Ksweep*(AR/1.5)*ClF*tan(sweep25);