function KBClDelta = KBClDeltaFactor(bFlapI,bFlapO)
%--------------------------------------------------------------------------
% KBClDeltaFactor(bFlapI,bFlapO)
% SUBSONIC FLAP SPAN LOCATION CORRECTION FACTOR
% Corrects for contribution of flap span location 
%--------------------------------------------------------------------------    
    KbData = [0.00, 0.00;
            0.30, 0.40;
            0.60, 0.73;
            0.80, 0.91;
            0.90, 0.98;
            1.00, 1.00];
    %Inboard flap location
    F = griddedInterpolant(KbData(:,1),KbData(:,2));
    KBI = F(bFlapI);
    
    %Outboard flap location    
    F = griddedInterpolant(KbData(:,1),KbData(:,2));
    KBO = F(bFlapO);
    
    %Total correction factor for span location
    KBClDelta = KBO-KBI;

