function KclDelta = KclDeltaFactor(cMAC,cf,delta)
%--------------------------------------------------------------------------
% KclDeltaFactor(cMAC,cf,delta)
% SECTION HIGH DEFLECTION CORRECTION FACTOR
% Interpolates data for the high deflection correction factor for the lift 
% flap effectiveness.
%--------------------------------------------------------------------------        CfonCData = [0.1,0.3,0.5];
    CfonCData = [0.1,0.25,0.5];
    CfonCData = [1;1;1;1;1;1]*CfonCData;

    DeltaData = [0;10;20;30;40;60];
    DeltaData = DeltaData*[1,1,1];

    KclData = [1.00,1.00,1.00;
    1.00,1.00,1.00;
    0.90,0.83,0.70;
    0.72,0.61,0.54;
    0.64,0.54,0.49;
    0.56,0.46,0.42];
    
    %Interpolating data
    F = griddedInterpolant(CfonCData',DeltaData',KclData');
    KclDelta = F(cf/cMAC,delta*(180/pi));