function Kp = KpSubCmFactor(bFlapI,bFlapO,bw,taper)
%--------------------------------------------------------------------------
% KpSubCmFactor(bFlapI,bFlapO,bw,taper)
% SUBSONIC MOMENT TAPER CORRECTION FACTOR
% Corrects the subsonic moment coefficient for taper and flap location 
% effects.
%--------------------------------------------------------------------------
    taperData = [0,0.1667,0.2,0.25,0.333,0.5,1].*ones(6,1);
    bFlapData = ones(1,7).*[0;0.2;0.4;0.6;0.8;1];

    KpData = [0.00,0.00,0.00,0.00,0.00,0.00,0.00;
    0.74,0.52,0.48,0.44,0.39,0.31,0.20;
    1.00,0.85,0.81,0.76,0.69,0.58,0.40;
    1.12,1.06,1.02,0.96,0.90,0.79,0.60;
    1.19,1.16,1.12,1.08,1.02,0.94,0.80;
    1.21,1.19,1.17,1.13,1.10,1.05,1.00];

    %Inboard flap location
    FI = griddedInterpolant(taperData',bFlapData',KpData');
    KpI = FI(taper,2*bFlapI/bw);
    %Outboard flap location
    FO = griddedInterpolant(taperData',bFlapData',KpData');
    KpO = FO(taper,2*bFlapO/bw);

    %Total correction factor
    Kp = KpO-KpI;

