function Ksweep = KsweepSubCmFactor(bw,bFlapI,bFlapO)
%--------------------------------------------------------------------------
% KsweepSubCmFactor(bw,bFlapI,bFlapO)
% SUBSONIC MOMENT SWEEP CORRECTION FACTOR
% Corrects the subsonic moment coefficient for sweep effects.
%--------------------------------------------------------------------------
    KsweepData = [0.00, 0.00
    0.20, 0.04
    0.40, 0.06
    0.60, 0.05
    0.80, 0.03
    1.00, 0.00];

    F = griddedInterpolant(KsweepData(:,1),KsweepData(:,2));
    %Inboard flap location 
    KsweepI = F(2*bFlapI/bw);
    %Outboard flap location 
    KsweepO = F(2*bFlapO/bw);

    %Total correction factor 
    Ksweep = KsweepO-KsweepI;
