function CrollDelta = SprCrollDelta(ClDelta,M,k,phiTE,cf,bw,bf,bFlapI,sweepTE,Sf,Sw)
%--------------------------------------------------------------------------
% SprCrollDelta(ClDelta,M,k,phiTE,cf,bw,bf,bFlapI,sweepTE,Sf,Sw)
% SUPERSONIC ROLL EFFECTIVENESS
% Calculates the supersonic flap roll effectiveness.
%--------------------------------------------------------------------------
    %Flap aspect ratio
    ARf = bf/cf;

    %Compressibility factor
    beta = sqrt(M^2-1);

    %Busemann coefficients
    C1 = 2/beta;
    C2 = ((k+1)*M^4-4*(M^2-1))/(2*(M^2-1))^2;

    ARcmprData = [0.88,0.79,0.79,0.81,0.81,6.09;
    3.04,2.02,1.53,1.52,1.57,7.54;
    5.01,4.02,3.04,2.97,2.44,8.41;
    7.04,6.39,5.62,6.02,5.00,9.15;
    9.96,10.02,10.02,9.99,9.98,9.98];
    sweepTEcmprData = [0,0.2,0.4,0.6,0.8,0.95];
    CrollDelta0Data = [0.03,0.04,0.06,0.09,0.22,0.29;
    0.03,0.04,0.05,0.07,0.14,0.26;
    0.03,0.04,0.04,0.06,0.11,0.24;
    0.03,0.04,0.04,0.05,0.08,0.23;
    0.03,0.04,0.04,0.05,0.07,0.22];
    for index = 1:1:6
        F = griddedInterpolant(ARcmprData(:,index),CrollDelta0Data(:,index));
        CrollDelta0(index) = F(ARf*beta);
    end
    %Interpolating data for uncorrected flap roll effectiveness
    F = griddedInterpolant(sweepTEcmprData,CrollDelta0);
    CrollDelta0 = (180/pi)*(1/beta)*F(tan(sweepTE)/beta);

    %Calculating roll effectiveness
    CrollDelta = (1-(C2/C1)*phiTE)*(ClDelta)*(Sf/Sw)*(1/2)*((bFlapI/bw)+(bf/(2*bw))*(CrollDelta0/ClDelta));