function alphaDeltaFrac = alphaDeltaSpan(delta,AR,cMAC,cf)
%--------------------------------------------------------------------------
% alphaDeltaSpan(delta,AR,cMAC,cf)
% SUBSONIC FLAP 3D WING CORRECTION FACTOR
% Corrects for 3D wing effects on span lift effectiveness
%--------------------------------------------------------------------------    
    alphaDeltaclCalc = [0.00, 0.00
    0.10, -0.40
    0.24, -0.60
    0.47, -0.80
    0.80, -0.97
    1.00, -1.01];
    %Change of effective angle of attack with deflection
    F = griddedInterpolant(alphaDeltaclCalc(:,1),alphaDeltaclCalc(:,2));
    alphaDeltacl = F(cf/cMAC);    
    
    for index = 1:1:6
        ARdata = [1.37,0.57,0.00,0.00,0.00,0.00;
        1.93,0.95,0.33,0.46,0.46,0.97;
        2.41,1.93,0.93,0.99,1.27,1.97;
        2.96,2.99,1.99,1.99,2.02,4.03;
        3.97,3.97,3.98,4.00,3.00,6.04;
        6.03,6.01,5.98,5.96,5.01,8.04;
        7.99,8.02,7.99,7.97,7.62,9.00;
        10.00,10.00,10.00,10.00,10.00,10.00];

        alphaDeltaFracData = [2.00,2.00,1.90,1.50,1.21,1.00;
        1.80,1.75,1.60,1.30,1.12,1.00;
        1.68,1.50,1.40,1.21,1.08,1.00;
        1.58,1.37,1.25,1.13,1.05,1.00;
        1.45,1.30,1.14,1.06,1.04,1.00;
        1.32,1.20,1.10,1.04,1.02,1.00;
        1.24,1.15,1.07,1.03,1.01,1.00;
        1.20,1.13,1.06,1.03,1.01,1.00];

        F = griddedInterpolant(ARdata(:,index),alphaDeltaFracData(:,index));
        alphaDeltaFrac(index) = F(AR);
    end 
    %Correction factor for 3D wing effect
    F = griddedInterpolant(flip([-0.1,-0.2,-0.4,-0.6,-0.8,-1]),flip(alphaDeltaFrac));
    alphaDeltaFrac = F(alphaDeltacl);