function clAlphaFrac = clAlphaRe(phiTE,Re)
%--------------------------------------------------------------------------
% clAlphaRe(phiTE,Re)
% SUBSONIC LIFT CURVE SLOPE CORRECTION FACTOR
% Calculates the subsonic low angle of attack lift curve slope correction 
% factor.
%--------------------------------------------------------------------------    
    AngleTEData = [0;0.1;0.2];
    AngleTEData = AngleTEData*[1,1,1];

    ReData = [log10(10^6),log10(10^7),log10(10^8)];
    ReData = [1;1;1]*ReData;

    clAlphaReData = [0.901,0.951,0.966;
    0.794,0.877,0.911;
    0.685,0.779,0.822];

    %Interpolating experimental data
    F = griddedInterpolant(AngleTEData,ReData,clAlphaReData);
    clAlphaFrac = F(tan(0.5*phiTE),log10(Re));