function clDeltaFrac = clDeltaRe(cMAC,cf,ClAlphaFrac)
%--------------------------------------------------------------------------
% clDeltaRe(tBar,cMAC,cf)
% SECTION LIFT FLAP EFFECTIVENESS CORRECTION FACTOR
% Interpolates data for the empirical correction factor for the lift 
% flap effectiveness.
%--------------------------------------------------------------------------    
    CfonCData = [0.05;0.3;0.5];
    CfonCData = CfonCData*ones(1,5);

    ClAlphaData = [0.7,0.77,0.85,0.92,1];
    ClAlphaData = ones(3,1)*ClAlphaData;

    ClDeltaFracData = [0.35,0.51,0.68,0.82,1.00;
                   0.47,0.62,0.77,0.88,1.00;
                   0.55,0.67,0.81,0.90,1.00];
    %Interpolating data
    F = griddedInterpolant(CfonCData,ClAlphaData,ClDeltaFracData);
    clDeltaFrac = F(cf/cMAC,ClAlphaFrac);            