function CmCmpr = CmCmprFactor(CmWAC,tBar)
%--------------------------------------------------------------------------
% CmCmprFactor(CmWAC,tBar)
% MOMENT COMPRESSIBILITY CORRECTION FACTOR
% Calculates the correction factor for compressibility on the wing moment
% coefficient.
%--------------------------------------------------------------------------   
    tBarData = [[0:0.04:0.3]';0.3].*ones(1,3);
    CmACData = ones(9,1).*[0.05,0.25,0.45];

    CmCmprData = [1.00,1.00,1.00;
    1.00,1.00,1.00;
    0.98,1.00,1.00;
    0.86,0.95,1.00;
    0.70,0.88,0.94;
    0.50,0.71,0.82;
    0.26,0.51,0.67;
    0.13,0.35,0.52;
    0.09,0.31,0.49];

    F = griddedInterpolant(tBarData,CmACData,CmCmprData);
    CmCmpr = F(tBar,CmWAC);