function CmACW = FunCmW(AR,sweep25,tBar,airfoilAero)
%--------------------------------------------------------------------------
% FunCmW(AR,sweep25,tBar,airfoilAero)
% WING MOMENT COEFFICIENT
% Calculates the low angle of attack moment coeffient at the aerodynamic 
% center for the vehicle wing.
%--------------------------------------------------------------------------
    %Load data from Javafoil.
    alphaIsZero = find(airfoilAero(:,1)==0);
    CmTable = airfoilAero(alphaIsZero:1:size(airfoilAero,1),3);

    %Mean aerodynamic coefficient referred to the aerodynamic centre.
    cmACW = mean(CmTable);

    %Correcting for the effects of finite span and compressibility.    
    CmACW = cmACW*(AR*(cos(sweep25))^2)/(AR+2*cos(sweep25));
    CmCmpr = CmCmprFactor(CmACW,tBar);
    CmACW = CmACW*CmCmpr;    