function CdsucW = SprCdsucW(ClW,ClF,M,AR,taper,sweepLE)
%--------------------------------------------------------------------------
% SprCdwW(M,k,alpha,AR,taper,sweepLE,A2,B2,A3)
% SUPERSONIC WING SUCTION DRAG COEFFICIENT
% Calculates the supersonic low angle of attack wave drag coeffient for the
% vehicle wing.
%--------------------------------------------------------------------------   
    %Wing suction only occures if... 
    CdsucW = 0;
    mu = asin(1/M);
    epsilon = pi/2-sweepLE;
    %...for a delta wing...
    if tan(sweepLE) == (4/AR)*((1-taper)/((1+taper))) %wing type is delta
        %...the leading edge is supersonic...
        if mu > epsilon
            %... the suction drag is calculated as follows.
            CdsucW = -((ClW)^2/(pi*AR))*sqrt(1-((tan(epsilon))/tan(mu))^2); 
        end
    end