function CdiW = SubCdiW(ClW,ClF,ClAlpha,M,AR,taper,sweepLE) 
%--------------------------------------------------------------------------
% SubCdiW(ClW,ClF,ClAlpha,M,AR,taper,sweepLE)
% SUBSONIC WING INDUCED DRAG
% Calculates the subsonic low angle of attack induced drag for the wing.
%--------------------------------------------------------------------------
    %Correcting wing drag for span effects
    m = AR/(ClAlpha*cos(sweepLE));
    [del,~] = subsonicSpan(m, taper);
    
    %Correcting wing drag for compressibility and span effects
    CdiW = (1/sqrt(1-M^2))*((ClW)^2/(pi*AR))*(1+del);