function XacW = SubXacW(AR,taper,ln,lf,cRoot,bMAC,cMAC,sweepLE,airfoilAero)
%--------------------------------------------------------------------------
% SubXacW(AR,taper,ln,lf,cRoot,bMAC,cMAC,sweepLE,airfoilAero)
% SUBSONIC WING AERODYNAMIC CENTRE LOCATION
% Calculates the subsonic low angle of attack aerodynamic centre for the wing.
%--------------------------------------------------------------------------    
    %Load Javafoil data, referenced from the location of the mean
    %aerodynamic chord.
    alphaIsZero = find(airfoilAero(:,1)==0);
    ACTable = airfoilAero(alphaIsZero:1:size(airfoilAero,1),4);

    %Location in m, measured from the nose
    XacW = ln+lf+bMAC*tan(sweepLE)+mean(ACTable)*cRoot;      
end