function [h,La,Lo] = ECI2LLH(X,Y,Z)
%--------------------------------------------------------------------------
% ECI2LLH(X,Y,Z)
% CONVERTS FROM EARTH CENTRED INERTIAL TO LATITUDE, LONGNITUDE, ALTITUDE
% Radial distance, speed, flight path angle, true anomoly, orbital plane
% orientation (longnitude of ascending node, inclination) -> X,Y,Z
% components of distance, velocity
%--------------------------------------------------------------------------
    rE = 6.356766e6;

    h = sqrt(X^2+Y^2+Z^2)-rE;
    La = atan2(X,Y);
    Lo = atan(Z/sqrt(X^2+Y^2));