function ClDelta = getArianeClDelta(M)
%--------------------------------------------------------------------------
% getarianeClDelta(M)
% Calculates ariane lift control derivative from curve-fitted equation
%--------------------------------------------------------------------------    
    %Load in equation coefficients
    a = 1.648943461;
    b = -3.83153639;
    c = -5.94056104;
    d = 5.136422394;
    e = 7.842783945;
    f = -2.31182424;
    g = -4.67445430;
    h = -0.59154733;
    i = 1.164548531;
    j = 0.629144247;
    k = 0.019067819;

    %Solve equation    
    ClDelta = (a+c.*M.^2+e.*M.^4+g.*M.^6+i.*M.^8+k.*M.^10)./(1+b.*M.^2+d.*M.^4+f.*M.^6+h.*M.^8+j.*M.^10);
end

