function CmDelta = getArianeCmDelta(M)
%--------------------------------------------------------------------------
% getarianeCmDelta(M)
% Calculates ariane moment control derivative from curve-fitted equation
%--------------------------------------------------------------------------    
    %Load in equation coefficients
    a = -0.21017294;
    b = -2.94843513;
    c = 0.622561508;
    d = 3.357732653;
    e = -0.71608904;
    f = -1.87312853;
    g = 0.398651771;
    h = 0.500015301;
    i = -0.10678910;
    j = -0.03239315;
    k = 0.011073067;

    % Solve equation
    CmDelta = (a+c.*M.^(0.5)+e.*M+g.*M.^(1.5)+i.*M.^2+k.*M.^(2.5))./(1+b.*M.^0.5+d.*M+f.*M.^1.5+h.*M.^2+j.*M.^2.5);
end