function CmDelta = getShuttleClDelta(M)
%--------------------------------------------------------------------------
% getShuttleClDelta(M)
% Calculates shuttle lift control derivative from curve-fitted equation
%--------------------------------------------------------------------------    
    %Load in equation coefficients

    a = 2.330237232;
    b = -3.87986299;
    c = -8.44284866;
    d = 5.301388876;
    e = 11.17435082;
    f = -2.51276892;
    g = -6.60497827;
    h = -0.48498086;
    i = 1.602989330;
    j = 0.606562294;
    k = 0.020324202;
    
    % Solve equation
    CmDelta = (a+c.*M.^2+e.*M.^4+g.*M.^6+i.*M.^8+k.*M.^(10))./(1+b.*M.^2+d.*M.^4+f.*M.^6+h.*M.^8+j.*M.^10);
end