function CmDelta = getShuttleCmDelta(M)
%--------------------------------------------------------------------------
% getShuttleCmDelta(M)
% Calculates shuttle moment control derivative from curve-fitted equation
%--------------------------------------------------------------------------    
    %Load in equation coefficients
    a = -0.49933449;
    b = -2.87213640;
    c = 1.431249431;
    d = 3.223042426;
    e = -1.58798979;
    f = -1.83317705;
    g = 0.849511620;
    h = 0.521797678;
    i = -0.21726563;
    j = -0.03424890;
    k = 0.021427328;

    % Solve equation
    CmDelta = (a+c.*M.^(0.5)+e.*M+g.*M.^(1.5)+i.*M.^2+k.*M.^(2.5))./(1+b.*M.^(0.5)+d.*M+f.*M.^(1.5)+h.*M.^(2)+j.*M.^(2.5));
end