function b = Ariane_boundary(X,U,p)
%--------------------------------------------------------------------------
% Ariane_boundary(X,U,p) 
% Prepares the boundary constraints for the solver for the Ariane model
%--------------------------------------------------------------------------    

    % initialize boundary constraint
    b = [];
    %Parse in the initial conditions
    b = [b;X(1,1)-p.prob.V0];
    b = [b;X(1,2)-p.prob.gamma0];
    b = [b;X(1,3)-p.prob.h0];
    b = [b;X(1,4)-p.prob.r0];    
    b = [b;X(1,5)-p.prob.m0];    
    %Parse in the required final conditions
    b = [b;X(end,1)-p.prob.Vf]; %Vf = 5m/s
    b = [b;X(end,2)-p.prob.gammaf];
    b = [b;X(end,3)-p.prob.hf];
end