function p = Ariane_bounds(p)
%--------------------------------------------------------------------------
% Ariane_bounds(p) 
% Prepares the state and control bounds for the solver for the Ariane model
%--------------------------------------------------------------------------    

    % state bounds   
    XL = kron([1;-91*pi/180;-1;-inf;197700],ones(p.nt,1)); % lower
    XU = kron([7000;91*pi/180;89000;inf;237700],ones(p.nt,1)); % upper

    %XL = kron([velocityL;flightpathangleL;altitudeL:;latitudeL;massL],ones(p.nt,1)); 
    %XL = kron([velocityU;flightpathangleU;altitudeU:;latitudeU;massU],ones(p.nt,1)); 
    
    % control bounds  
     UL = kron([0;-pi;-1],ones(p.nt,1)); % lower
     UU = kron([235;pi;1],ones(p.nt,1)); % upper

    %UL = kron([massflowL;angleofattackL;flapdeflectionL],ones(p.nt,1)); 
 	%UU = kron([massflowU;angleofattackU;flapdeflectionU],ones(p.nt,1)); 

    % time constraints when time-free problem
    if p.varTF == 0
        tL = [];
        tU = [];        
    else
        tL = 0;
        tU = 10^10;
    end
       
	% combine to column vector
	p.xL = [reshape(XL,[],1);reshape(UL,[],1);tL]; 
	p.xU = [reshape(XU,[],1);reshape(UU,[],1);tU];
end