function b = Shuttle_boundary(X,U,p)
%--------------------------------------------------------------------------
% Shuttle_boundary(X,U,p) 
% Prepares the boundary constraints for the solver for the Shuttle model
%--------------------------------------------------------------------------    

    % initialize boundary constraint
    b = [];
    %Parse in the initial conditions
    b = [b;X(1,1)-p.prob.V0];
    b = [b;X(1,2)-p.prob.gamma0];
    b = [b;X(1,3)-p.prob.h0];
    b = [b;X(1,4)-p.prob.r0];    
    b = [b;X(1,5)-p.prob.q0];    
    b = [b;X(1,6)-p.prob.alpha0];   
    
    %Parse in the required final conditions
    b = [b;X(end,3)-p.prob.hf]; %hf = 0
end