function p = Shuttle_bounds(p)
%--------------------------------------------------------------------------
% Shuttle_bounds(p) 
% Prepares the state and control bounds for the solver for the Shuttle model
%--------------------------------------------------------------------------
    
    XL = kron([1;-91*pi/180;-1;-inf;-inf;-pi],ones(p.nt,1)); % lower
    XU = kron([7000;91*pi/180;89000;inf;inf;pi],ones(p.nt,1)); % upper
    %XL = kron([velocityL;flightpathangleL;altitudeL:;latitudeL;pitchrateL;angleofattackL],ones(p.nt,1)); 
    %XL = kron([velocityU;flightpathangleU;altitudeU:;latitudeU;pitchrateU;angleofattackU],ones(p.nt,1)); 
    
    % control bounds
    UL = kron([-1;-1],ones(p.nt,1)); % lower
    UU = kron([1;1],ones(p.nt,1)); % upper
    %UL = kron([flapdeflection1L;flapdeflection2L],ones(p.nt,1)); 
 	%UU = kron([flapdeflection1U;flapdeflection2U],ones(p.nt,1)); 

    % time constraints when time-free problem
    if p.varTF == 0
        tL = [];
        tU = [];        
    else
        tL = 0;
        tU = 10^10;
    end
       
	% combine to column vector
	p.xL = [reshape(XL,[],1);reshape(UL,[],1);tL]; 
	p.xU = [reshape(XU,[],1);reshape(UU,[],1);tU];
end