function L = Shuttle_lagrange(x,p,i)
%--------------------------------------------------------------------------
% Shuttle_lagrange(x,p,i)
% Prepares the Lagrange term for the solver for the Shuttle model
%--------------------------------------------------------------------------    
    if p.varTF == 1
        X = reshape(x(1:p.ns*p.nt),p.nt,[]); % states
        U = reshape(x(p.ns*p.nt+1:end-1),p.nt,[]); % controls
        tf = x(end);       
    else
        X = reshape(x(1:p.ns*p.nt),p.nt,[]); % states
        U = reshape(x(p.ns*p.nt+1:end),p.nt,[]); % controls
    end
    
    % Lagrange term not relevant for this problem
    L = zeros(p.Narray(i),1);
end